Skip to content

POST Reset user password

Reset user password using a valid reset token and optional two-factor authentication verification.

POSThttps://api.rooom.com/reset-password
Try it out

Body required

multipart/form-data
NameTypeDescription
emailrequired
Example: user@example.com
stringUser email address
tokenrequired
Example: reset_abc123def456
stringPassword reset token from email
passwordrequired
Example: NewSecurePass123!
stringNew password
password_repeatrequired
Example: NewSecurePass123!
stringConfirmation of new password
otp
Example: 123456
stringOne-time password for additional verification

Responses

200Successfully reset user password
500Authentication error
POST /reset-password Reset user password Reset user password using a valid reset token and optional two-factor authentication verification. email User email address token Password reset token from email password New password password_repeat Confirmation of new password otp One-time password for additional verification